> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# prob

> GenericMDOProvider reads MDO lists with default settings

## "prob" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'prob'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/prob
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("prob", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name               | StyleHint | ExtraInfo |
| -- | ------------------ | --------- | --------- |
| 5  | Andre møte         |           |           |
| 4  | Første møte        |           |           |
| 3  | Muntlig aksept     |           |           |
| 1  | Sendt tilbud       |           |           |
| 2  | Sluttforhandlinger |           |           |

## Related MDO Lists

* "probheadings"
* "probheadingswithallitem"
* "probheadingswithallitemwithnoselection"
* "probheadingswithnoselection"
* "probwithallitem"
* "probwithallitemwithnoselection"
* "probwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [Prob table](/en/database/tables/prob.md)
- [ProbGroupLink table](/en/database/tables/probgrouplink.md)
- [ProbHeadingLink table](/en/database/tables/probheadinglink.md)
- [Troubleshooting problems with satellite management](/en/onsite/travel/satellite/troubleshooting.md)
- [Get Probability From Stage](/en/api/reference/restful/agent/sale_agent/get-probability-from-stage.md)
